<div>
<div class="input-group">
    <div class="input-group-prepend">
        <span class="input-group-text" id="targetFdrRequest">targetFdr</span>
    </div>
    <div>
        <input type="number" min="0" max="1" step="0.001" class="form-control" placeholder="0 to 1"
            aria-label="Request targetFdr" aria-describedby="targetFdr"
            (blur)="checkInput(this.targetFdr,'targetFdr')" [(ngModel)]="this.targetFdr" (keyup.enter)="submit()"/>
    </div>
</div>
<button class="btn btn-primary" (click)="submit()">Fetch Proteingroups</button>
</div>
